> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Domain



## OpenAPI

````yaml openapi/domains/register-domain.json POST /v1/payment-methods/domains
openapi: 3.0.0
info:
  version: 1.0.0
  title: Domains
servers:
  - url: https://api-sandbox.y.uno
security:
  - public-api-key: []
    private-secret-key: []
paths:
  /v1/payment-methods/domains:
    post:
      operationId: post_v1-payment-methods-domains
      parameters:
        - in: header
          name: X-Idempotency-Key
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                account_id:
                  type: string
                  description: >-
                    The unique identifier of the account. Find this in the [Yuno
                    dashboard](https://dashboard.y.uno/developers) (MAX 64; MIN
                    36)
                connection_id:
                  type: string
                  description: The unique identifier of the connection (MAX 64; MIN 36)
                payment_method_type:
                  type: string
                  description: Single payment method to register for all domains.
                domains:
                  type: array
                  items:
                    properties:
                      url:
                        type: string
                    type: object
                  description: Array of domains to register.
              required:
                - account_id
            examples:
              Accepted:
                summary: Accepted
                value:
                  account_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                  connection_id: 7c1d9a2e-3f44-4e8a-9b61-8e2f4c6b9d0a
                  payment_method_type: APPLE_PAY
                  domains:
                    - url: checkout.example.com
                    - url: shop.example.com
      responses:
        '202':
          content:
            application/json:
              schema:
                type: object
                properties:
                  account_id:
                    type: string
                    example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                  payment_method:
                    type: string
                    example: APPLE_PAY
                  domains:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: dom_1234567890abcdef
                        domain:
                          type: string
                          example: checkout.example.com
                        status:
                          type: string
                          example: REGISTERED
                        created_at:
                          type: string
                          example: '2026-01-22T10:30:00Z'
                        updated_at:
                          type: string
                          example: '2026-01-22T10:30:00Z'
              examples:
                Accepted:
                  summary: Accepted
                  value:
                    account_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                    payment_method: APPLE_PAY
                    domains:
                      - id: dom_1234567890abcdef
                        domain: checkout.example.com
                        status: REGISTERED
                        created_at: '2026-01-22T10:30:00Z'
                        updated_at: '2026-01-22T10:30:00Z'
                      - id: dom_3456789012cdefgh
                        domain: shop.example.com
                        status: REGISTERED
                        created_at: '2026-01-22T10:30:00Z'
                        updated_at: '2026-01-22T10:30:00Z'
          description: Accepted
components:
  securitySchemes:
    public-api-key:
      type: apiKey
      in: header
      name: public-api-key
    private-secret-key:
      type: apiKey
      in: header
      name: private-secret-key

````